Subject: Re: Upgrading from b20.1 to 1.1.x - now my static linking fails !
From: MarketLogix <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: [email-masked]
Date: Mon, 31 Jul 2000 15:19:24 -0700

Thanks,

But let me resummarize what I've got so far ...

1st scenario:

gcc-2.95.2-2 + latest/binutils = good .dll / .exe static link failures .

2nd scenario:

gcc-2.95.2-2 + release/binutils = bad .dll / .exe static links fine .

If interested, please see earlier messages of this thread ...

Thanks again,

bisk

Begin forwarded message:

Date: Mon, 31 Jul 2000 18:13:43 -0400
From: "Charles S. Wilson" <[email-masked]>
X-Mailer: Mozilla 4.7 [en] (WinNT; U)
X-Accept-Language: en
To: [email-masked]
CC: [email-masked]
Subject: Re: Upgrading from b20.1 to 1.1.x  - now my static linking fails !

No no no. Download and install 'binutils-20000722-1.tar.gz' from
cygwin/latest/binutils. Setup would have done this for you. It seems you
are trying to outsmart the installation program, and have ended up
shooting yourself in the foot.

(There was a 6/00 release of binutils -- binutils-20000625 -- but it had
problems. That's why there is now a -20000722 release).

--Chuck

MarketLogix wrote:
>
> I made an educated guess and did this:
>
> 1. Went to a mirror and got /pub/sourceware/release/binutils-2.10.tar.gz.
> 2. Built & installed it over /cygwin/usr.
>
> That fixed the static linking problem but now my .dll fails to load right !
>
> The circle begins - stuffed at the line of scrimage again !
>
> Is that gcc-2.92.2-2 incompatible with the 6/00 "release" version of binutils ?
> Should I roll back to the 10/99 "release" version of gcc-2.95.2 ?
>
> What is considered stable ? How do I get in sync ?
>
> Thanks again.
>
> bisk
>
> Begin forwarded message:
>
> Date: Mon, 31 Jul 2000 14:52:50 -0400
> From: DJ Delorie <[email-masked]>
> To: [email-masked]
> In-reply-to: <[email-masked]> (message from MarketLogix on
> Mon, 31 Jul 2000 11:32:47 -0700)
> Subject: Re: Upgrading from b20.1 to 1.1.x  - now my static linking fails !
>
> > But some basic utilities were missing like env and mount so
>
> mount.exe is in cygwin
> env.exe is in shellutils
> both are in the net release.
>
> > Do you think that the setup/CD install/setup caused this problem ?
>
> No.
>
> > I've got to believe that many folks have installed the net release
> > over the CD, no ?
>
> Yes, but for new installations you don't need both.
>
> > I don't remember what I chose as far as "dos text" vs. binary.
> > If there's a default, that's probably what I took.
>
> Shouldn't make much of a difference.
>
> > Should I clear out the /etc/setup directory and run setup again ?
> > Choosing binary at the install prompt ?
>
> No, just use "mount -f ..." to change the mount points.  Read the
> online user's guide for info.  I use text mounts.  Chris uses binary
> mounts.  Both should work.
>
> > I don't really have much to lose at this point ...
>
> I would suggest trying the CVS version of binutils.  Else, use "gcc -S
> ..."  to see if it's the compiler or the assembler or whatever that's
>
> messing up the symbols.
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]